| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | List of all members
IVersHistoryObj Class Referenceabstract

Interface for Versioned History Objects. More...

`#include <GaudiKernel/IVersHistoryObj.h>`

Inheritance diagram for IVersHistoryObj:
[legend]

## Public Types
typedef std::vector< Gaudi::Details::PropertyBase * > | PropertyList

## Public Member Functions
virtual | ~IVersHistoryObj ()=default
virtual const std::string & | name () const =0
virtual const std::string & | type () const =0
virtual const std::string & | version () const =0
virtual const PropertyList & | properties () const =0

## Detailed Description

Interface for Versioned History Objects.

Author
  Charles Leggett

Date
  Feb 1 2011

Definition at line 18 of file IVersHistoryObj.h.

## Member Typedef Documentation

## ◆ PropertyList

typedef std::vector<Gaudi::Details::PropertyBase*> IVersHistoryObj::PropertyList

Definition at line 20 of file IVersHistoryObj.h.

## Constructor & Destructor Documentation

## ◆ ~IVersHistoryObj()

virtual IVersHistoryObj::~IVersHistoryObj | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ name()

virtual const std::string& IVersHistoryObj::name | ( |  | ) | const
| pure virtual

Implemented in AlgorithmHistory, JobHistory, AlgToolHistory, and ServiceHistory.

## ◆ properties()

virtual const PropertyList& IVersHistoryObj::properties | ( |  | ) | const
| pure virtual

Implemented in AlgorithmHistory, JobHistory, AlgToolHistory, and ServiceHistory.

## ◆ type()

virtual const std::string& IVersHistoryObj::type | ( |  | ) | const
| pure virtual

Implemented in AlgorithmHistory, JobHistory, AlgToolHistory, and ServiceHistory.

## ◆ version()

virtual const std::string& IVersHistoryObj::version | ( |  | ) | const
| pure virtual

Implemented in AlgorithmHistory, JobHistory, AlgToolHistory, and ServiceHistory.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IVersHistoryObj.h